%global momorel 2

Summary: A Perl module for precise time measurements.
Name: perl-Time-HiRes
Version: 1.56
Release: %{momorel}m
License: GPL or Artistic
Group: Development/Libraries
URL: http://www.cpan.org/modules/by-module/Time/
Source0: http://www.cpan.org/modules/by-module/Time/Time-HiRes-%{version}.tar.gz
NoSource: 0
BuildRoot: /var/tmp/%{name}-%{version}-root/
BuildRequires: perl >= 5.005.03
Requires: perl >= 5.005.03

%description
The Time::HiRes module implements a Perl interface to the usleep,
ualarm, and gettimeofday system calls.  This allows for very
precise timing measurements inside of Perl scripts.

%prep
%setup -q -n Time-HiRes-%{version}

%build
CFLAGS="%{optflags}" perl Makefile.PL
%make
%make test

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot}%{_prefix} -type f -print | \
	sed "s@^%{buildroot}@@g" | \
	grep -v perllocal.pod | \
	sed -e 's,\(.*/man/.*\),\1*,' | \
	grep -v "\.packlist" > Time-HiRes-%{version}-filelist
if [ "$(cat Time-HiRes-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

# remove needless files
rm -f %{buildroot}%{perl_archlib}/auto/Time/HiRes/.packlist

%files -f Time-HiRes-%{version}-filelist
%defattr(-,root,root)
%doc Changes README TODO

%changelog
* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.56-2m)
- remove Epoch from BuildPrereq

* Mon Mar 15 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.56-1m)

* Sun Jan 18 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.55-1m)

* Sat Nov 29 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (1.52-1m)
- import from fedora

* Thu Jun 05 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Dec 10 2002 Chip Turner <cturner@redhat.com>
- update to latest version from CPAN

* Wed Nov 20 2002 Chip Turner <cturner@redhat.com>
- rebuild
- update from 1.20 to 1.38

* Tue Aug  6 2002 Chip Turner <cturner@redhat.com>
- automated release bump and build

* Mon Apr 30 2001 Chip Turner <cturner@redhat.com>
- Spec file was autogenerated. 
